using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ca.smsgateway;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnSend_Click(object sender, EventArgs e)
    {
        //***********************
        // Make sure your project has a web reference to http://smsgateway.ca/SendSMS.asmx?WSDL
        //***********************

        SendSMS SMSMessenger = new SendSMS();

        // The recipient cell phone number. 
        // In demo mode, this will be ignored - all messages will be sent to your cell number.
        string CellNumber = txtCellNumber.Text;

        // This is your unique account key which was emailed to you when you created your account.
        string AccountKey = txtAccountKey.Text;

        // This is used for your own "reference". If someone replies to your message, the email we send to you
        // will contain this reference so you will be able to know what the message was about. 
        string Reference = txtReference.Text;

        // This is the body of the message you want to send. The maximum length is 160 characters.
        // Messages greater than 160 characters will be broken up into multiple messages. 
        string MessageBody = txtMessage.Text;

        // The web service will return a string. If the string is "Message queued successfully" 
        // then the call was successful. Otherwise, there was an error and the string will contain
        // the error message. 
        string result = SMSMessenger.SendMessageWithReference(CellNumber, MessageBody, AccountKey, Reference);

        lblMessage.Text = result;

    }
}
